Runtime

## org.eclipse.gmf.runtime.common.ui.services.action.global
Interface IGlobalActionHandlerProvider

All Superinterfaces:
  IProvider

All Known Implementing Classes:
  AbstractGlobalActionHandlerProvider, DiagramGlobalActionHandlerProvider, DiagramIDEGlobalActionHandlerProvider, DiagramWithPrintGlobalActionHandlerProvider, EditorGlobalActionHandlerProvider, GlobalActionHandlerService

    public interface IGlobalActionHandlerProvider

extends IProvider

Interface that needs to be implemented by the client who provides a `IGlobalActionHandler`

Nested Class Summary
`static class` `IGlobalActionHandlerProvider.NullElementType` Describes the element type when no element type is associated with a global action handler provider.

Method Summary
`IGlobalActionHandler` `getGlobalActionHandler(IGlobalActionHandlerContext context)` Returns the `IGlobalActionHandler` for the given `IGlobalActionHandlerContext`

Methods inherited from interface org.eclipse.gmf.runtime.common.core.service.IProvider
`addProviderChangeListener, provides, removeProviderChangeListener`

Method Detail

### getGlobalActionHandler

    IGlobalActionHandler getGlobalActionHandler(IGlobalActionHandlerContext context)

  Returns the `IGlobalActionHandler` for the given `IGlobalActionHandlerContext`

  Parameters:
    `context` - The context for the provider
  Returns:
    Returns an `IGlobalActionHandler`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.